From 5573e529e5c824e0026565bb45037e0b6b063e15 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 31 2020 19:07:52 +0000
Subject: [PATCH 1917/2232] Emit docs on struct fields into generated C++ code


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index fc6801c..6b89178 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -233,6 +233,9 @@ fn write_struct<'a>(out: &mut OutFile<'a>, strct: &'a Struct, methods: &[&Extern
     writeln!(out, "struct {} final {{", strct.name.cxx);
 
     for field in &strct.fields {
+        for line in field.doc.to_string().lines() {
+            writeln!(out, "  //{}", line);
+        }
         write!(out, "  ");
         write_type_space(out, &field.ty);
         writeln!(out, "{};", field.ident);

